From 3d74e7552a27d6bc6cfa1a2d83de6ec4e9516643 Mon Sep 17 00:00:00 2001
From: Heinz Wiesinger <pprkut@liwjatan.at>
Date: Wed, 20 Oct 2010 01:54:52 -0500
Subject: system/mariadb: Added (Drop-in replacement for MySQL)

Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
---
 system/mariadb/mariadb.SlackBuild | 183 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 183 insertions(+)
 create mode 100644 system/mariadb/mariadb.SlackBuild

(limited to 'system/mariadb/mariadb.SlackBuild')

diff --git a/system/mariadb/mariadb.SlackBuild b/system/mariadb/mariadb.SlackBuild
new file mode 100644
index 0000000000000..9e667de4e5b29
--- /dev/null
+++ b/system/mariadb/mariadb.SlackBuild
@@ -0,0 +1,183 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010  Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build and install MySQL on Slackware
+# by:  David Cantrell <david@slackware.com>
+# MySQL version maintained by:  Patrick Volkerding <volkerdi@slackware.com>
+# MariaDB version maintained by:  Heinz Wiesinger <pprkut@liwjatan.at>
+
+PRGNAM=mariadb
+SRCVER=5.2.2-gamma
+VERSION=5.2.2gamma
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${EMBEDDED:-no}" = "" ]; then
+  embed=""
+else
+  embed="--with-embedded-server"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#./BUILD/autorun.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -felide-constructors -fno-exceptions -fno-rtti" \
+CXX=g++ \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-mysqld-user=mysql \
+  --with-unix-socket-path=/var/run/mysql/mysql.sock \
+  --localstatedir=/var/lib/mysql \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --enable-assembler \
+  --without-debug \
+  --enable-thread-safe-client \
+  --with-extra-charsets=complex \
+  --with-ssl=/usr \
+  --with-aria-tmp-tables \
+  --with-libevent \
+  --enable-largefile \
+  --with-readline \
+  --with-big-tables \
+  --enable-local-infile \
+  --with-plugins=max \
+  --without-plugin-innodb_plugin \
+  --build=$ARCH-slackware-linux \
+  $embed
+
+make
+make install DESTDIR=$PKG
+
+# install additional headers needed for building external engine plugins
+for i in sql include regex; do
+  for j in $i/*.h; do
+    install -m 0644 $j $PKG/usr/include/mysql/
+  done
+done
+
+mkdir -p $PKG/usr/include/mysql/atomic
+for i in include/atomic/*.h; do
+  install -m 0644 $i $PKG/usr/include/mysql/atomic/
+done
+
+install -m 0644 storage/maria/ma_{pagecache,loghandler_lsn}.h \
+  $PKG/usr/include/mysql/
+sed -i "s|../storage/maria/ma_pagecache.h|ma_pagecache.h|" \
+  $PKG/usr/include/mysql/maria.h
+
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+  for i in libmysqlclient libmysqlclient_r; do
+    rm -f $i.so $i.so.16
+    ln -sf mysql/$i.so $i.so
+    ln -sf mysql/$i.so.16 $i.so.16
+  done
+cd -
+
+# The ./configure option to omit this has gone away, so we'll omit it
+# the old-fashioned way.  It's all in the source tarball if you need it.
+rm -rf $PKG/usr/sql-bench
+
+# Do not include the test suite:
+rm -rf $PKG/usr/mysql-test
+
+# Install support files
+mkdir -p $PKG/etc
+cp support-files/my-{huge,large,medium,small}.cnf $PKG/etc
+
+# This is the directory where databases are stored
+mkdir -p $PKG/var/lib/mysql
+chown mysql.mysql $PKG/var/lib/mysql
+chmod 0750 $PKG/var/lib/mysql
+
+# This is where the socket is stored
+mkdir -p $PKG/var/run/mysql
+chown mysql.mysql $PKG/var/run/mysql
+chmod 0755 $PKG/var/run/mysql
+
+# Add init script:
+mkdir -p $PKG/etc/rc.d
+# This is intentionally chmod 644.
+cat $CWD/rc.mysqld > $PKG/etc/rc.d/rc.mysqld.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+  COPYING* EXCEPTIONS* INSTALL-SOURCE README* Docs/INSTALL-BINARY \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-- 
cgit v1.2.3